### Hierarchy

- MarkerIcon

### Implements

- IMarkerIcon

## Index

### Constructors

- constructor

### Properties

- scaledSize
- size
- url

## Constructors

### constructor

- new MarkerIcon(url: string, size?: google.maps.Size, scaledSize?: google.maps.Size): MarkerIcon

- - Defined in lib/renderable/map/google/MarkerIcon.ts:10

  #### Parameters

  - ##### url: string

  - ##### Optional size: google.maps.Size

  - ##### Optional scaledSize: google.maps.Size

  #### Returns MarkerIcon

## Properties

### Optional scaledSize

scaledSize: google.maps.Size

Implementation of IMarkerIcon.scaledSize

- Defined in lib/renderable/map/google/MarkerIcon.ts:10

### Optional size

size: google.maps.Size

Implementation of IMarkerIcon.size

- Defined in lib/renderable/map/google/MarkerIcon.ts:9

### url

url: string

Implementation of IMarkerIcon.url

- Defined in lib/renderable/map/google/MarkerIcon.ts:8

Generated using TypeDoc